<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/css" href="../css/data.css"?>
<form 
	xmlns="http://www.ge.fr/schema/1.2/form-manager" 
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" id="search" label="Configuration d'une autorité" xsi:schemaLocation="http://www.ge.fr/schema/1.2/form-manager http://svn.projet-ge.fr:8080/archiva/repository/xsd/form-manager/form-manager/1.2/form-manager-1.2.xsd">
	<default>
		<data type="StringReadOnly" mandatory="false" />
	</default>
	<group id="setParameters" label="Configuration">
		<!-- Partie recherche -->
		<group id="search" label="Recherche d'une autorité">
			<data id="authority" label="Autorité : " type="ComboBoxExternal">
				<conftype>
					<referential>
						<external>
							<url input-var-name="authorityValue">${application.public.url}/api/directory/v2/ref/list/authority?filters=label~{{authorityValue}}&amp;maxResults=999</url>
							<base>content</base>
							<id>entityId</id>
							<label>label</label>
						</external>
					</referential>
				</conftype>
			</data>
			<data id="searchButton" type="Button" width="15%">
				<value>
					<list>
						<text id="label">Chercher</text>
						<text id="icon">cogs</text>
						<text id="color">#F6A924</text>
						<text id="size">sm</text>
					</list>
				</value>
			</data>
		</group>
		<!-- Partie resultat -->
		<group id="results" label="Résultat de la recherche">
			<group id="input" label="Rappel des éléments d'entrée." fold="yes">
				<data id="authority" label="Autorité" type="StringReadOnly" />
			</group>
			<group id="output" label="Resultat de l'appel" fold="yes">
				<data id="url" label="Url du service." type="StringReadOnly" />
				<data id="status" label="Statut de retour" type="StringReadOnly" />
				<data id="parameters" label="Message de retour" type="TextReadOnly" />
				<data id="found" type="String"/>
			</group>
			<group id="noresult" label="l'autorité n'existe pas" if="$results.output.found=='ko'">
				<description>			La recherche n'a pas permis de trouver cette autorité.				</description>
			</group>
			<group id="parameters[]" label="Paramètres" if="$results.output.found=='ok'" min-occurs="0">
				<data id="id" label="nom :" type="String" width="45%"/>
				<data id="separator" type="Description" width="10%">
					<value>
						<![CDATA[ => ]]>
					</value>
				</data>
				<data id="value" label="valeur :" type="String" width="45%"/>
			</group>
		</group>
	</group>
</form>